Skip to main content

Get My Traders

Get information about the trader(s) being followed by the current user.

HTTP Request

GET /api/v1/copy/mix-follower/query-my-traders

Request Parameters

ParameterTypeRequiredDescription
productTypestringYesProduct type. Only FUSD is supported

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/copy/mix-follower/query-my-traders?productType=FUSD" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectResponse data (null if not following)
> traderUidstringTrader's user ID
> traderNamestringTrader's nickname
> maxFollowLimitstringMaximum follow limit
> followCountstringCurrent follow count
> pnlAllstringTotal profit/loss from following
> winRateAllstringOverall win rate
> roeAllstringOverall ROE
> currentTradingPairsarrayList of current trading pairs
> followerTimestringFollow start time in milliseconds

Response Example

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"traderUid": "100001",
"traderName": "TopTrader",
"maxFollowLimit": "10",
"followCount": "1",
"pnlAll": "5000.12345678",
"winRateAll": "0.6667",
"roeAll": "0.1550",
"currentTradingPairs": ["BTCUSDT", "ETHUSDT"],
"followerTime": "1763372880000"
}
}

Error Codes

CodeMessage
45001Parameter productType cannot be empty
45001Invalid productType
45002User not found
50000System error